Package org.eclipse.microprofile.config.tck.converters.implicit

## Class ConvTestTypeWStringValueOf

- java.lang.Object
- - org.eclipse.microprofile.config.tck.converters.implicit.ConvTestTypeWStringValueOf

    public class ConvTestTypeWStringValueOf
    extends Object

Part of the implicit Converter test. Sample class which has a valueOf(String) method

Author:
  Mark Struberg

### Constructor Summary

Constructors
`ConvTestTypeWStringValueOf()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getVal()`
`static ConvTestTypeWStringValueOf` `valueOf​(String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvTestTypeWStringValueOf

    public ConvTestTypeWStringValueOf()

### Method Detail

#### valueOf

    public static ConvTestTypeWStringValueOf valueOf​(String val)

#### getVal

    public String getVal()